| Home | Libraries | People | FAQ | More

## Class template inverse

boost::movelib::inverse

## Synopsis

    // In header: <boost/move/algo/predicate.hpp>

    template<typename Comp>
    class inverse {
    public:
      // construct/copy/destruct
      inverse();
      explicit inverse(Comp);

      // public member functions
      template<typename T1, typename T2> bool operator()(const T1 &, const T2 &);
    };

## Description

### `inverse` public construct/copy/destruct

1.     inverse();

2.     explicit inverse(Comp comp);

### `inverse` public member functions

1.     template<typename T1, typename T2> bool operator()(const T1 & l, const T2 & r);